Skip to content

Get fragment upload URL

POST
/fragments/upload-url
curl --request POST \
--url https://legion.picogrid.com/v2/fragments/upload-url \
--header 'Content-Type: application/json' \
--data '{ "terminal_id": "example", "stream_id": "example" }'

Creates a file in our object storage server, and generates a presigned URL to upload an arbitrary file to this server.

The URL is valid for 5 minutes, after which you will need to request a new URL.

You upload the file by sending a PUT request to the url, with the object you want to upload in the body of the request. The file must be maximum 5GB in size.

If you have a usecase that needs more than 5GB objects, or need multipart uploads for reasons such as upload speed, please contact our support team at support@picogrid.com.

Specify the terminal and stream this fragment belongs to

Media typeapplication/json
object
terminal_id
required

The terminal this fragment belongs to

string
stream_id
required

The stream this fragment belongs to

string
Examplegenerated
{
"terminal_id": "example",
"stream_id": "example"
}

Presigned upload URL successfully generated

Media typeapplication/json
object
file_id
required

You will need to pass this file_id to the POST /fragments endpoint when creating the fragment after uploading this file

string
upload_url
required

The presigned url which is valid for 5 minutes and you can upload to by making a PUT request with a file provided in the body of the request that is no larger than 5 GB. As mentioned in the endpoint description please contact support@picogrid.com if you have a usecase where you need multipart uploads for speed of upload or need to upload files larger than 5GB.

string format: uri
Examplegenerated
{
"file_id": "example",
"upload_url": "https://example.com"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Bad Request Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Authentication Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Unauthorized Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Resource Not Found Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Timeout Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Bad Gateway Error

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
https://developer.mozilla.org

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Access-Control-Allow-Credentials
boolean
default: true

The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request’s credentials mode (Request.credentials) is include. - MDN Link

Version 2 · commit 0771262